#
# spec file for package afuse
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           afuse
Version:        0.4.1
Release:        3.4
Summary:        Automounting file system implemented in user-space using FUSE
License:        GPL-2.0
Group:          System/Filesystems
#Git-url:       https://github.com/pcarrier/afuse
Url:            https://afuse.googlecode.com/files/%{name}-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  coreutils
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkg-config
Requires:       fuse

%description
Afuse is an automounting file system implemented in user-space using FUSE.
afuse currently implements the most basic functionality that can be expected by
an automounter; that is it manages a directory of virtual directories. If one
of these virtual directories is accessed and is not already automounted, afuse
will attempt to mount a filesystem onto that directory. If the mount succeeds
the requested access proceeds as normal, otherwise it will fail with an error.
See the example below for a specific usage scenario.

The advantage of using afuse over traditional automounters is afuse runs
entirely in user-space by individual users. Thus it can take advantage of the
invoking users environment, for example allowing access to an ssh-agent for
password-less sshfs mounts, or allowing access to a graphical environment to
get user input to complete a mount such as asking for a password.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS COPYING.LIB
%{_bindir}/afuse
%{_bindir}/afuse-avahissh

%changelog
* Tue Aug 26 2014 dsterba@suse.cz
- version 0.4.1
  * Fix bug where afuse crashes on release
- version 0.4
  * Mac OS X 10.6+ and FreeBSD are supported.
  * Added ability to filter paths from auto-mounting via a file of patterns.
  * The path 'autorun.inf' is hard-coded as a filter to fix a problem in
    Ubuntu/GNOME 3 desktop environments where a lookup occurs as soon as any
    afuse mount is made.
  * Ability to populate root directory using output from an external process.
  * Added 'exact_getattr' option.
* Fri Sep  9 2011 dsterba@suse.cz
- initial import 0.2
